headless lms

Reorder the spaces in a community (staff)

PUT /api/communities/{communityId}/spaces/order. Reorder the spaces in a community (staff). Headless LMS Communities API reference.

PUT
/api/communities/{communityId}/spaces/order

Owner or admin only. Send every space id of the community exactly once (409 otherwise).

Path Parameters

communityId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/communities/string/spaces/order" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "string"    ]  }'
[  {    "orgId": "string",    "id": "string",    "communityId": "string",    "name": "string",    "description": "string",    "seq": -9007199254740991,    "accessRule": "all_members",    "capacity": -9007199254740991,    "settings": {      "comments": true,      "reactions": true,      "requireReview": true    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "topics": [      {        "orgId": "string",        "id": "string",        "spaceId": "string",        "name": "string",        "seq": -9007199254740991,        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "links": [      {        "orgId": "string",        "id": "string",        "spaceId": "string",        "contentId": "string",        "seq": -9007199254740991,        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ]  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}